Subject: Re: [PATCH] Documentation/git-reflog: remove unneeded \ from \{

From: Junio C Hamano <[email-masked]>
Date: Mon, 01 Aug 2022 14:33:29 -0700

"Glen Choo via GitGitGadget" <[email-masked]> writes:

> Fix this inconsistent rendering by removing the unnecessary "\" in
> Documentation/git-reflog.txt.
>
> Signed-off-by: Glen Choo <[email-masked]>
> ---
>     Documentation/git-reflog: remove unneeded \ from {
>     
>     I noticed this inconsistency as I was trying to build Git docs with
>     Google's internal build system. This string seems particularly
>     problematic e.g. you can see unnecessary "\" on
>     https://git-scm.com/docs/git-reflog#_description.
>     
>     I'm not proficient in asciidoc at all, but I suspect that this isn't
>     tied to the asciidoc version; I initially observed these differences in
>     environments with different versions of asciidoc (9.0.0 and 10.2.0) but
>     I can't reproduce this at all on my Mac using different versions of
>     asciidoc and asciidoctor from Homebrew. Perhaps the issue is in some
>     underlying library?

Thanks.  ref@\{specifier\} came from 552cecc2 (Teach "git reflog" a
subcommand to delete single entries, 2007-10-17) but that is so
distant past that the world must have changed too much that past
experiences would not help all that much X-<.  There are too many
moving parts, older and more recent asciidoc, plus asciidoctor.

Those who care about gitman.texi may also want to check the end
result, as the toolchain there involves docbook, yet another moving
part.

Will queue.  Thanks.

> Published-As: https://github.com/gitgitgadget/git/releases/tag/pr-git-1304%2Fchooglen%2Fdocumentation%2Fbackslash-brace-asciidoc-v1
> Fetch-It-Via: git fetch https://github.com/gitgitgadget/git pr-git-1304/chooglen/documentation/backslash-brace-asciidoc-v1
> Pull-Request: https://github.com/git/git/pull/1304
>
>  Documentation/git-reflog.txt | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/Documentation/git-reflog.txt b/Documentation/git-reflog.txt
> index 5ced7ad4f8b..db9d46edfa9 100644
> --- a/Documentation/git-reflog.txt
> +++ b/Documentation/git-reflog.txt
> @@ -22,7 +22,7 @@ depending on the subcommand:
>  	[--rewrite] [--updateref] [--stale-fix]
>  	[--dry-run | -n] [--verbose] [--all [--single-worktree] | <refs>...]
>  'git reflog delete' [--rewrite] [--updateref]
> -	[--dry-run | -n] [--verbose] <ref>@\{<specifier>\}...
> +	[--dry-run | -n] [--verbose] <ref>@{<specifier>}...
>  'git reflog exists' <ref>
>  
>  Reference logs, or "reflogs", record when the tips of branches and
>
> base-commit: 23b219f8e3f2adfb0441e135f0a880e6124f766c